REST APIWallet & TransactWallet

POST

Build a consolidation transaction for an account-based asset. Once built, you must sign and send the transaction. For account-based assets, consolidating the balances in the receive addresses to the base address maximizes the spendable balance of a wallet.

Path Params

  • coin string enum required
    This route is only available for Algorand, Tezos, and Eth.
    algotalgoxtztxtzethhteth
  • walletId string required
    The wallet ID.

    matches ^[0-9a-f]{32}$

Body Params

object

  • consolidateAddresses array of strings
    Optional: restrict the consolidation to the specified receive addresses. If not provided, will consolidate the funds from all receive addresses up to 500 addresses.
  • apiVersion string enum
    The Trasaction Request API version to use for MPC EdDSA Hot Wallets. Defaults based on the wallet type and asset curve.
    fulllite

Responses

200
OK

Response Body

object

  • keyDerivationPath string
400
Bad Request

Response Body

ONE OF

  • error string required
    Human-readable error message
  • requestId string required
    Client request id
  • context object
    Properties that apply to a specific error name
  • name string required
    Error code